# Generated by Django 3.2 on 2021-04-21 17:32

from django.conf import settings
from django.db import migrations, models
import django.db.models.deletion


class Migration(migrations.Migration):

    dependencies = [
        migrations.swappable_dependency(settings.AUTH_USER_MODEL),
        ('tripharmacyapp', '0003_produto_foto_produto'),
    ]

    operations = [
        migrations.CreateModel(
            name='Funcionario',
            fields=[
                ('id', models.BigAutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('ds_observacao', models.CharField(blank=True, max_length=45)),
                ('farmacia', models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, related_name='farmacia', to='tripharmacyapp.farmacia')),
                ('usuario', models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, related_name='funcionario_id', to=settings.AUTH_USER_MODEL)),
            ],
        ),
    ]
